Ubuntu

Backlight controls of laptops with NVIDIA NVS and Quadro FX 880M GPUs no longer function while using proprietary drivers

Reported by Tom Gelinas on 2010-04-13
204
This bug affects 41 people
Affects Status Importance Assigned to Milestone
Ubuntu-Certification
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

The brightness controls of laptops with NVIDIA NVS 3100M or Quadro FX 880M GPUs work while running Nouveau or when using a text mode VT, but not while running X and using proprietary NVIDIA drivers. It is possible to force the NVIDIA driver to control the backlight by adding [Option "RegistryDwords" "EnableBrightnessControl=1"] to the "Devices" section of xorg.conf . While this allows the backlight to be controlled, the increments are inconsistent and often result in a buzzing noise from the LED backlight on Lenovo ThinkPad T510s and W510s. Since this did not occur while running nouveau or when switching in text VT, something is wrong.

This bad backlight behaviour has been confirmed on ThinkPad models T510 and W510 with NVIDIA NVS 3100m and Quadro FX 880M chipsets, respectively, via http://www.thinkwiki.org/wiki/Category:T510
Because this issue is related to NVIDIA's proprietary video driver, this issue can only be solved by them. An NVIDIA developer has said he will investigate the issues, which are discussed on the nvnews.net forums at http://www.nvnews.net/vbulletin/showthread.php?t=145105 and http://www.nvnews.net/vbulletin/showthread.php?t=150069 . For future reference, the latest NVIDIA drivers can be found in the Ubuntu X-Swat X updates PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: nvidia-current 195.36.15-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Mon Apr 12 23:48:02 2010
DkmsStatus:
 nvidia-current, 195.36.15, 2.6.32-19-generic, x86_64: installed
EcryptfsInUse: Yes
GdmLog1:

MachineType: LENOVO 4313CTO
ProcCmdLine: BOOT_IMAGE=/bhostnamet/vmlinuz-2.6.32-19-generic rhostnamet=UUID=0b95b314-337f-49aa-86f9-6423e76e9f20 ro
ProcEnviron:
 LANG=en_CA.utf8
 SHELL=/bin/bash
SourcePackage: nvidia-graphics-drivers
XorgLogOld:

dmi.bios.date: 02/22/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6MET49WW (1 tp-smapi, 0.40, 2.6.32-19-generic, x86_64: installed
 vboxnetadp, 3.1.6, 2.6.32-19-generic, x86_64: installed
 vboxnetflt, 3.1.6, 2.6.32-19-generic, x86_64: installed
 vboxdrv, 3.1.6, 2.6.32-19-generic, x86_64: installed.12 )
dmi.board.name: 4313CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6MET49WW(1.12):bd02/22/2010:svnLENOVO:pn4313CTO:pvrThinkPadT510:rvnLENOVO:rn4313CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4313CTO
dmi.product.version: ThinkPad T510
dmi.sys.vendor: LENOVO
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-19-generic

Tom Gelinas (tomgelinas) wrote :
Tom Gelinas (tomgelinas) wrote :

I apologise for having posted this report with a less-than-minimal xorg.conf . I have ensured that none of those options affect this problem.

summary: - Backlight brightness on ThinkPad T510 can only be changed in Text Mode,
- not X
+ Backlight controls no longer function on ThinkPad T510 when using
+ proprietary drivers
summary: - Backlight controls no longer function on ThinkPad T510 when using
+ Backlight controls on ThinkPad T510 no longer function when using
proprietary drivers
Bryce Harrington (bryce) on 2010-04-13
tags: added: lucid
Tom Gelinas (tomgelinas) on 2010-04-14
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed

Same problem here on a T410, also with nvidia 3100m graphics. Brightness adjustment works in the terminal, and worked before installing the proprietary drivers. If you need any info (logs etc.) let me know.

Correction: when I add [Option "RegistryDwords" "EnableBrightnessControl=1" ] to my xorg.conf it works!

Maybe this should be in the default xorg.conf for the closed-source drivers...

Tom Gelinas (tomgelinas) wrote :

I can now force the nvidia driver to control the backlight. I don't know why it didn't work before, I did 2 hard reboots and the setting didn't take effect. Regardless, the nvidia's backlight controller is still less effective than the one used by nouveau or in a text mode VT. The nvidia driver's backlight control should not be force-enabled by default because it changes the brightness in inconsistent increments and causes a buzzing noise to emanate from the LED backlight. This noise is at different frequencies according the the level of brightness, and sometimes ceases for a fraction of a second while the backlight is changing from one brightness level to another. Is there anything I can do to give a comparison of the brightness levels passed by nouveau driver or in a text mode VT? I'd assume there is something in Sysfs.

What is the difference between how a text mode VT or nouveau change the backlight brightness, compared with how nvidia does it? Gnome should be forced to use a non-nvidia method by default.

Tom Gelinas (tomgelinas) wrote :

Also, dmesg reports that thinkpad_acpi's backlight controls are not enabled, so it is certainly not controlling the backlight in the VT:

thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
thinkpad_acpi: Standard ACPI backlight interface available, not loading native one.

Tom Gelinas (tomgelinas) wrote :

I have no idea how to effectively monitor changes in /sysfs. The best method i'm using is to use "tree" to map out Sysfs, and then search for interesting things and monitor them. If someone could please share a better method i'd be very appreciative.

I have not found if there is a difference in sysfs between
The hardware brightness buttons on this laptop always affect /sys/devices/virtual/backlight/acpi_video0/brightness. If change the brightness while running X, /sys/devices/virtual/backlight/acpi_video0/brightness is changed but the actual backlight is not affected. If I then switch to a text mode VT and press the backlight up button, /sys/devices/virtual/backlight/acpi_video0/brightness is increased by 1 and the backlight is set to that level. This level will persist when I switch back to X.

Nouveau makes a symlink called nv_backlight at /sys/class/backlight, which links to sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/backlight/nv_backlight, so I suppose that it is not possible to use nouveau's backlight controls with the nvidia driver.

/sys/module/video/parameters/brightness_switch_enabled is always set Y when using either nouveau or nvidia.

It seems that the only solutions for backlight control on this laptop are either to force the nvidia driver to control the backlight, or use the text mode VT's method in X. LED backlights don't have inverters, so I'd think that they shouldnt be producing a buzzing/humming noise. I think it's a very bad idea to force the nvidia driver to control this backlight by default because it may result in physical hardware damage.

Tom Gelinas (tomgelinas) on 2010-04-25
tags: added: t410
removed: w510
Tom Gelinas (tomgelinas) wrote :

I have created a thread about this bug at nvnews.net, where NVIDIA developers often respond to user issues: http://www.nvnews.net/vbulletin/showthread.php?p=2240345#post2240345

Tom Gelinas (tomgelinas) on 2010-05-05
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → In Progress

Hey Tom,

Thanks for notifying the nvidia developers, hopefully they release a fix soon. However, I don't think 'in progress' is the right status, unless you are taking responsibility for releasing a fix. I think the correct procedure would be to set the status to 'triaged', post updates here that you/we/others find on the nvidia forums, and then wait for a ubuntu-developer to pick up the bug.

(In case you are a ubuntu developer with release powers, then forgive me for not having faith in you :) )

https://wiki.ubuntu.com/Bugs/Status

Changed in nvidia-graphics-drivers (Ubuntu):
status: In Progress → Confirmed
Martin Spacek (mspacek) wrote :

I have the same problem on a Thinkpad W510 (Nvidia Quadro FX 880M), running the latest nvidia binary drivers from the ubuntu repo.

tags: added: w510
Tom Gelinas (tomgelinas) on 2010-05-22
description: updated
summary: - Backlight controls on ThinkPad T510 no longer function when using
- proprietary drivers
+ Backlight controls on ThinkPad T510 and W510 no longer function when
+ using proprietary drivers
Tom Gelinas (tomgelinas) on 2010-05-24
summary: - Backlight controls on ThinkPad T510 and W510 no longer function when
- using proprietary drivers
+ Backlight controls of laptops with NVIDIA NVS 3100M no longer function
+ while using proprietary drivers
tags: added: 3100m nvs
summary: - Backlight controls of laptops with NVIDIA NVS 3100M no longer function
- while using proprietary drivers
+ Backlight controls of laptops with NVIDIA NVS and Quadro FX 880M GPUs no
+ longer function while using proprietary drivers
tags: added: 880m fx quadro
description: updated
Tom Gelinas (tomgelinas) wrote :

Delyan, are you able to force the NVIDIA proprietary driver to control the backlight? You can do this by adding

Option "RegistryDwords" "EnableBrightnessControl=1

to the "Devices" section of xorg.conf and then restarting. Also, does your backlight emit a buzz or humming noise when the brightness has been changed using the NVIDIA drivers?

Delyan Kalchev (delyank) wrote :

Hello. I've just tested the option you had mentioned. It successfully forces the driver to control the brightness. But the only way to change it is using the slider in the Power Management windows (in System->Preferences). Using the function keys does not change the brightness. Only the notification appears (so the key pressing is surely detected) but nothing changes - neither in the progress bar in the notification, nor the brightness itself. The Brightness applet in the panel refuses any change, either. It is completely the same when I remove the proprietary driver, the only difference is that without the proprietary driver the resolution is wrong and cannot be set to normal. I cannot imagine why the applet is not working. I can also use (when root) a command like

 echo 80 > /proc/acpi/video/DGFX/LCD/brightness

and it sets the brightness

When using the slide to set the brightness I can NOT detect any buzz or humming. Probably it is specific effect on ThinkPad's hardware or because I do not use keys to set the brightness degree, so no hardware-confusing values appear. Either way a fix is needed.

I'm attaching my logs for comparison. Those with "_no" in the name are without the proprietary driver, and the ones with "_yes" are with it.

Delyan Kalchev (delyank) wrote :

Here is a part of lshal output:

udi = '/org/freedesktop/Hal/devices/computer_backlight'
  info.addons = {'hald-addon-generic-backlight'} (string list)
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel' (string)
  info.interfaces = {'org.freedesktop.Hal.Device.LaptopPanel'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.product = 'Generic Backlight Device' (string)
  info.subsystem = 'backlight' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_backlight' (string)
  laptop_panel.access_method = 'general' (string)
  laptop_panel.brightness_in_hardware = true (bool)
  laptop_panel.num_levels = 25 (0x19) (int)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'backlight' (string)
  linux.sysfs_path = '/sys/devices/virtual/backlight/acpi_video0' (string)

Please, post yours so we can compare. It looks like Nvidia driver's ACPI part is bugous. Most likely it doesn't detect correctly the laptop_panel.num_levels. I do not have the same problem here but even though 25 levels look too many. I don't know if it is representative to compare with the number of levels in Windows because I compare with how many states can be set using the brightness keys. They are no more than 12 (not sure exactly) in Windows and surely are far from 25. Gnome-power-manager is buggy either and it causes my problem with the brightness keys. Look here: https://bugs.launchpad.net/ubuntu/+source/hal/+bug/77739 - there is an attached script for testing the brightness settings. You can try it.

Delyan Kalchev (delyank) wrote :

Have you tested the latest Nvidia's driver release (ubuntu's one is not the newest) or even a beta version of the driver?

Delyan Kalchev (delyank) wrote :

OK. I'm sorry for calling names to GPM. I've fixed my problem and it has nothing to do with GPM or the current issue. Again it holds - loads of brightness levels - 25. All are unique and have effect - they change something. I hope Nvidia will fix their driver and this issue with Thinkpads will be gone.

Martin Spacek (mspacek) wrote :

Here are the relevant parts of my lshal output:

udi = '/org/freedesktop/Hal/devices/computer_backlight_0'
  info.addons = {'hald-addon-generic-backlight'} (string list)
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel' (string)
  info.interfaces = {'org.freedesktop.Hal.Device.LaptopPanel'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.product = 'Generic Backlight Device' (string)
  info.subsystem = 'backlight' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_backlight_0' (string)
  laptop_panel.access_method = 'general' (string)
  laptop_panel.brightness_in_hardware = true (bool)
  laptop_panel.num_levels = 1 (0x1) (int)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'backlight' (string)
  linux.sysfs_path = '/sys/devices/virtual/backlight/thinkpad_screen' (string)

udi = '/org/freedesktop/Hal/devices/computer_backlight'
  info.addons = {'hald-addon-generic-backlight'} (string list)
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel' (string)
  info.interfaces = {'org.freedesktop.Hal.Device.LaptopPanel'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.product = 'Generic Backlight Device' (string)
  info.subsystem = 'backlight' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_backlight' (string)
  laptop_panel.access_method = 'general' (string)
  laptop_panel.brightness_in_hardware = true (bool)
  laptop_panel.num_levels = 16 (0x10) (int)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'backlight' (string)
  linux.sysfs_path = '/sys/devices/virtual/backlight/acpi_video0' (string)

I don't know why I have both a "computer_backlight" and a computer_backlight_0" entry. This is from a fresh install of Lucid RC on a Thinkpad W510 with the latest 195 series nvidia driver from the Ubuntu repo. It reports 16 levels, which is what I get in Windows (0 to 15). Right now I can only control brightness by switching to a TTY. i get 16 different levels there, and the up and down increments are the same. I don't currently have the "EnableBrightControl" option set in my xorg.conf.

Tom Gelinas (tomgelinas) wrote :

Here's the lshal output from my T510 without backlight controls force-enabled in xorg.conf:

udi = '/org/freedesktop/Hal/devices/computer_backlight'
  info.addons = {'hald-addon-generic-backlight'} (string list)
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel' (string)
  info.interfaces = {'org.freedesktop.Hal.Device.LaptopPanel'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.product = 'Generic Backlight Device' (string)
  info.subsystem = 'backlight' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_backlight' (string)
  laptop_panel.access_method = 'general' (string)
  laptop_panel.brightness_in_hardware = true (bool)
  laptop_panel.num_levels = 16 (0x10) (int)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'backlight' (string)
  linux.sysfs_path = '/sys/devices/virtual/backlight/acpi_video0' (string)

Tom Gelinas (tomgelinas) wrote :

Also I'm running nvidia driver version 195.36.15 . Next time I restart this machine, I'll check for changes to lshal output caused by forcing nvidia to control the backlight.

Tom Gelinas (tomgelinas) wrote :

lshal output seems to be identical when the nvidia driver is forced to control the backlight. I agree, the nvidia driver is probably passing the wrong number of brightness levels. Thanks for the link to bug 7779, i'll play around wth that script later.

Delyan Kalchev (delyank) wrote :

There is a newer driver release by Nvidia: http://www.nvidia.com/object/linux-display-amd64-195.36.24.html

I have installed it and it changed nothing here. If that do not do it you should try http://www.nvidia.com/object/linux-display-amd64-256.25.html - the latest beta. Then, if it still wrong, Nvidia have to be informed to fix it or a workaround may be looked for.

Tom Gelinas (tomgelinas) wrote :

NVIDIA's 256.29 beta driver is available from this PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates .
The issue is not solved, and I didn't expect it to be. Again, the bugs for both NVS *100m series and FX 880M have been reported to the NVIDIA developers @ nvnews.net, the links to those threads are in the description of this bug (bug 562005).

description: updated

Thank you Tom Gelinas! I tried add Option ... to xorg and it works. :)

CJ (cj+launchpad) wrote :

Hans anyone been able to verify if the latest nvidia release addresses this issue? It is up to 256.53 now.

Martin Spacek (mspacek) wrote :

I was using Maverick a couple of days ago with whatever the default nvidia driver was (256.44 at the time, I believe), but the problem remained.

Tom Gelinas (tomgelinas) wrote :

The issue persists with 256.53.
This problem won't be solved through launchpad, please fell free to bump http://www.nvnews.net/vbulletin/showthread.php?t=150069 to notify the nvidia developers.

Jon Packard (jonpackard) wrote :

I just did a fresh install of Maverick 64-bit on my HP EliteBook 8440p with NVS 3100m graphics. I still had to use "nomodeset" to install and to boot thereafter, but that's not an issue. After installing the nVidia proprietary drivers, I found that whenever my notebook tries to power its screen off, it gets stuck as black and has to be restarted to fix. The computer is still responsive, since I can ctrl-alt-del, enter, tab, enter to poweroff. I have tried adding the [Option "RegistryDwords" "EnableBrightnessControl=1"] line to the device section of my xorg.conf and rebooting, just as I did in Lucid. Unlike in Lucid, this did not resolve my issue. My nvidia driver version is 260.19.06-0ubuntu1. Could anyone please suggest any workarounds I could try? I can suspend just fine, but I often like to shut my screen and let my notebook continue working. Thank you in advance.

Download full text (4.7 KiB)

Yes, when the display turns off sometimes it cannot be turned back on.
Instead of restarting I do something like: Ctrl+Alt+F1 and then back
Alt+F7 (or wherever your X is). That turns the display back on when
it's stuck. This is surely a bug and it appeared with older versions
of the Nvidia driver. Now it's back on the stage if it had ever been
fixed at all.

On Tue, Oct 26, 2010 at 4:44 AM, Jon Packard <email address hidden> wrote:
> I just did a fresh install of Maverick 64-bit on my HP EliteBook 8440p
> with NVS 3100m graphics. I still had to use "nomodeset" to install and
> to boot thereafter, but that's not an issue. After installing the nVidia
> proprietary drivers, I found that whenever my notebook tries to power
> its screen off, it gets stuck as black and has to be restarted to fix.
> The computer is still responsive, since I can ctrl-alt-del, enter, tab,
> enter to poweroff. I have tried adding the [Option  "RegistryDwords"
> "EnableBrightnessControl=1"] line to the device section of my xorg.conf
> and rebooting, just as I did in Lucid. Unlike in Lucid, this did not
> resolve my issue. My nvidia driver version is 260.19.06-0ubuntu1. Could
> anyone please suggest any workarounds I could try? I can suspend just
> fine, but I often like to shut my screen and let my notebook continue
> working. Thank you in advance.
>
> --
> Backlight controls of laptops with NVIDIA NVS and Quadro FX 880M GPUs no longer function while using proprietary drivers
> https://bugs.launchpad.net/bugs/562005
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Confirmed
>
> Bug description:
> The brightness controls of laptops with NVIDIA NVS 3100M or Quadro FX 880M GPUs work  while running Nouveau or when using a text mode VT, but not while running X and using proprietary NVIDIA drivers.  It is possible to force the NVIDIA driver to control the backlight by adding [Option "RegistryDwords" "EnableBrightnessControl=1"] to the "Devices" section of xorg.conf . While this allows the backlight to be controlled, the increments are inconsistent and often result in a buzzing noise from the LED backlight on Lenovo ThinkPad T510s and W510s. Since this did not occur while running nouveau or when switching in text VT, something is wrong.
>
> This bad backlight behaviour has been confirmed on ThinkPad models T510 and W510 with NVIDIA NVS 3100m and Quadro FX 880M chipsets, respectively, via http://www.thinkwiki.org/wiki/Category:T510
> Because this issue is related to NVIDIA's proprietary video driver, this issue can only be solved by them. An NVIDIA developer has said he will investigate the issues, which are  discussed on the nvnews.net forums at http://www.nvnews.net/vbulletin/showthread.php?t=145105 and http://www.nvnews.net/vbulletin/showthread.php?t=150069 . For future reference, the latest NVIDIA drivers can be found in the Ubuntu X-Swat X updates PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: nvidia-current 195.36.15-0ubuntu2
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> U...

Read more...

Jon Packard (jonpackard) wrote :

Delyan,
Thank you for your help! I forgot to mention that I used to do that in Lucid before the xorg.conf workaround. Sadly that doesn't seem to help in Maverick. I wonder if downgrading to an older version of nvidia drivers would help.

Delyan Kalchev (delyank) wrote :
Download full text (3.8 KiB)

Maybe you should give it a try. I have the same computer as yours with
the same video card. Maybe the workaround by switching to console do
not always work but I had the luck.

On Tue, Oct 26, 2010 at 1:12 PM, Jon Packard <email address hidden> wrote:
> Delyan,
> Thank you for your help! I forgot to mention that I used to do that in Lucid before the xorg.conf workaround. Sadly that doesn't seem to help in Maverick. I wonder if downgrading to an older version of nvidia drivers would help.
>
> --
> Backlight controls of laptops with NVIDIA NVS and Quadro FX 880M GPUs no longer function while using proprietary drivers
> https://bugs.launchpad.net/bugs/562005
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Confirmed
>
> Bug description:
> The brightness controls of laptops with NVIDIA NVS 3100M or Quadro FX 880M GPUs work  while running Nouveau or when using a text mode VT, but not while running X and using proprietary NVIDIA drivers.  It is possible to force the NVIDIA driver to control the backlight by adding [Option "RegistryDwords" "EnableBrightnessControl=1"] to the "Devices" section of xorg.conf . While this allows the backlight to be controlled, the increments are inconsistent and often result in a buzzing noise from the LED backlight on Lenovo ThinkPad T510s and W510s. Since this did not occur while running nouveau or when switching in text VT, something is wrong.
>
> This bad backlight behaviour has been confirmed on ThinkPad models T510 and W510 with NVIDIA NVS 3100m and Quadro FX 880M chipsets, respectively, via http://www.thinkwiki.org/wiki/Category:T510
> Because this issue is related to NVIDIA's proprietary video driver, this issue can only be solved by them. An NVIDIA developer has said he will investigate the issues, which are  discussed on the nvnews.net forums at http://www.nvnews.net/vbulletin/showthread.php?t=145105 and http://www.nvnews.net/vbulletin/showthread.php?t=150069 . For future reference, the latest NVIDIA drivers can be found in the Ubuntu X-Swat X updates PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: nvidia-current 195.36.15-0ubuntu2
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Mon Apr 12 23:48:02 2010
> DkmsStatus:
>  nvidia-current, 195.36.15, 2.6.32-19-generic, x86_64: installed
> EcryptfsInUse: Yes
> GdmLog1:
>
> MachineType: LENOVO 4313CTO
> ProcCmdLine: BOOT_IMAGE=/bhostnamet/vmlinuz-2.6.32-19-generic rhostnamet=UUID=0b95b314-337f-49aa-86f9-6423e76e9f20 ro
> ProcEnviron:
>  LANG=en_CA.utf8
>  SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> XorgLogOld:
>
> dmi.bios.date: 02/22/2010
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 6MET49WW (1 tp-smapi, 0.40, 2.6.32-19-generic, x86_64: installed
>  vboxnetadp, 3.1.6, 2.6.32-19-generic, x86_64: installed
>  vboxnetflt, 3.1.6, 2.6.32-19-generic, x86_64: installed
>  vboxdrv, 3.1.6, 2.6.32-19-generic, x86_64: installed.12 )
> dmi.board.name: 4313CTO
> dmi.boar...

Read more...

Martin Spacek (mspacek) wrote :

Here's a somewhat interesting account from what seems to me like a duplicate. I think I can confirm what he says about values in /proc/acpi/video/VID/LCD0/brightness

Bug #613638
Adjusting brightness broken after hibernate/suspend

Martin Spacek (mspacek) wrote :

I just tried the new nvidia blob from the https://launchpad.net/~ubuntu-x-swat/+archive/x-updates ppa (260.19.26), brightness controls still don't work.

DieterVDW (dietervdw) wrote :

I tried commenting out the "EnableBrightnessControl=1" line and I'm unable to control the brightness. The on-screen popup shows me that the buttons are working and I'm changing the value, but screen brightness does not change.
So please consider my testimony in bug #613638 as incorrect, this does not seem to have something to do with the hibernate/suspend.
(Unless attaching an external monitor influences this behaviour. I had an external monitor connected when testing this. Will verify, but was probably just confused.)

Tom Gelinas (tomgelinas) wrote :

I've bumped the "bug report" at nvnews.net repeatedly and have done so again today. The lack of formality with regard to NVIDIA bug reports is very irritating! http://www.nvnews.net/vbulletin/showthread.php?p=2359095#post2359095

DieterVDW (dietervdw) wrote :

Possibly related to bug #606547 ?

Martin Spacek (mspacek) wrote :

Dieter, no, this bug has nothing to do with suspend, and only pertains to laptops with the newish nvidia NVS and Quadro FX 880M GPUs.

My nvidia blob just updated itself to 260.19.29 from the x-swat PPA. Brightness controls remain broken.

Martin Spacek (mspacek) wrote :

My nvidia blob just updated itself to 270.18 from the x-swat PPA. Brightness controls remain broken.

Tom Gelinas (tomgelinas) wrote :

This is still broken with 270.30, from natty repositories.

Tom Gelinas (tomgelinas) wrote :

Sent a bug report to <email address hidden>, should have done it a year ago.

Martin Spacek (mspacek) wrote :

Thanks for that Tom. Have you heard anything back from them? I wonder if the new Quadro 1000M and 2000M GPUs on the new Thinkpad T520 and W520 have the same problem...

Bungeman (bungeman) wrote :

I am currently on a new w520 with Ubuntu 11.04 beta (Linux 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux) with nvidia driver 270.41.03 with the 1000M (BIOS set to use just the nvidia card, optimus disabled) and can confirm similar issues with setting the brightness.

Tom Gelinas (tomgelinas) wrote :

Sorry, thought I already replied: No, nvidia's bug reporting system sucks. It doesn't even use HTTPS for login and they don't seem to pay attention to Linux bugs. Someone like an OEM or big developer will need to pick this up if it's going to be fixed, I think.

tags: added: t420 t520 w520
Martin Spacek (mspacek) wrote :

Hm. Is there some way we could push this through with Lenovo's clout? Maybe via forums.lenovo.com?

Simon Hirscher (codethief) wrote :
Download full text (3.8 KiB)

Forget about forums.lenovo.com. There're issues with the WWAN firmware
which were reported in the forums more than a year ago, now, and
Lenovo hasn't bothered to fix them properly since.

On Sat, Apr 23, 2011 at 06:35, Martin Spacek <email address hidden> wrote:
> Hm. Is there some way we could push this through with Lenovo's clout?
> Maybe via forums.lenovo.com?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/562005
>
> Title:
>  Backlight controls of laptops with NVIDIA NVS and Quadro FX 880M GPUs
>  no longer function while using proprietary drivers
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  The brightness controls of laptops with NVIDIA NVS 3100M or Quadro FX
>  880M GPUs work  while running Nouveau or when using a text mode VT,
>  but not while running X and using proprietary NVIDIA drivers.  It is
>  possible to force the NVIDIA driver to control the backlight by adding
>  [Option "RegistryDwords" "EnableBrightnessControl=1"] to the "Devices"
>  section of xorg.conf . While this allows the backlight to be
>  controlled, the increments are inconsistent and often result in a
>  buzzing noise from the LED backlight on Lenovo ThinkPad T510s and
>  W510s. Since this did not occur while running nouveau or when
>  switching in text VT, something is wrong.
>
>  This bad backlight behaviour has been confirmed on ThinkPad models T510 and W510 with NVIDIA NVS 3100m and Quadro FX 880M chipsets, respectively, via http://www.thinkwiki.org/wiki/Category:T510
>  Because this issue is related to NVIDIA's proprietary video driver, this issue can only be solved by them. An NVIDIA developer has said he will investigate the issues, which are  discussed on the nvnews.net forums at http://www.nvnews.net/vbulletin/showthread.php?t=145105 and http://www.nvnews.net/vbulletin/showthread.php?t=150069 . For future reference, the latest NVIDIA drivers can be found in the Ubuntu X-Swat X updates PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.04
>  Package: nvidia-current 195.36.15-0ubuntu2
>  ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
>  Uname: Linux 2.6.32-19-generic x86_64
>  NonfreeKernelModules: nvidia
>  Architecture: amd64
>  Date: Mon Apr 12 23:48:02 2010
>  DkmsStatus:
>   nvidia-current, 195.36.15, 2.6.32-19-generic, x86_64: installed
>  EcryptfsInUse: Yes
>  GdmLog1:
>
>  MachineType: LENOVO 4313CTO
>  ProcCmdLine: BOOT_IMAGE=/bhostnamet/vmlinuz-2.6.32-19-generic rhostnamet=UUID=0b95b314-337f-49aa-86f9-6423e76e9f20 ro
>  ProcEnviron:
>   LANG=en_CA.utf8
>   SHELL=/bin/bash
>  SourcePackage: nvidia-graphics-drivers
>  XorgLogOld:
>
>  dmi.bios.date: 02/22/2010
>  dmi.bios.vendor: LENOVO
>  dmi.bios.version: 6MET49WW (1 tp-smapi, 0.40, 2.6.32-19-generic, x86_64: installed
>   vboxnetadp, 3.1.6, 2.6.32-19-generic, x86_64: installed
>   vboxnetflt, 3.1.6, 2.6.32-19-generic, x86_64: installed
>   vboxdrv, 3.1.6, 2.6.32-19-generic, x86_64: installed.12 )
>  dmi.board.name: 4313CTO
>  dmi.board.vendor: LENOVO
>  dmi.board.version: Not Availa...

Read more...

Simon Hirscher (codethief) wrote :

By the way: I'm running Natty now and (once again) I can confirm the issues. Changing the brightness in another tty does the trick.

Tom Gelinas (tomgelinas) wrote :

I have linked this bug to Ubuntu Hardware Certification.
https://answers.launchpad.net/ubuntu-certification/+question/163597

Hopefully they will treat this bug with respect. Switching between text mode VT and a Nvidia-proprietary powered X server is not stable!

Simon Hirscher (codethief) wrote :
Download full text (3.9 KiB)

Exactly. Plus: Switching back and forth several times results in the X
server hanging (or rather lagging) for some minutes…

On Sun, Jul 3, 2011 at 13:28, Tom Gelinas <email address hidden> wrote:
> I have linked this bug to Ubuntu Hardware Certification.
> https://answers.launchpad.net/ubuntu-certification/+question/163597
>
> Hopefully they will treat this bug with respect. Switching between text
> mode VT and a Nvidia-proprietary powered X server is not stable!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/562005
>
> Title:
>  Backlight controls of laptops with NVIDIA NVS and Quadro FX 880M GPUs
>  no longer function while using proprietary drivers
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  The brightness controls of laptops with NVIDIA NVS 3100M or Quadro FX
>  880M GPUs work  while running Nouveau or when using a text mode VT,
>  but not while running X and using proprietary NVIDIA drivers.  It is
>  possible to force the NVIDIA driver to control the backlight by adding
>  [Option "RegistryDwords" "EnableBrightnessControl=1"] to the "Devices"
>  section of xorg.conf . While this allows the backlight to be
>  controlled, the increments are inconsistent and often result in a
>  buzzing noise from the LED backlight on Lenovo ThinkPad T510s and
>  W510s. Since this did not occur while running nouveau or when
>  switching in text VT, something is wrong.
>
>  This bad backlight behaviour has been confirmed on ThinkPad models T510 and W510 with NVIDIA NVS 3100m and Quadro FX 880M chipsets, respectively, via http://www.thinkwiki.org/wiki/Category:T510
>  Because this issue is related to NVIDIA's proprietary video driver, this issue can only be solved by them. An NVIDIA developer has said he will investigate the issues, which are  discussed on the nvnews.net forums at http://www.nvnews.net/vbulletin/showthread.php?t=145105 and http://www.nvnews.net/vbulletin/showthread.php?t=150069 . For future reference, the latest NVIDIA drivers can be found in the Ubuntu X-Swat X updates PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.04
>  Package: nvidia-current 195.36.15-0ubuntu2
>  ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
>  Uname: Linux 2.6.32-19-generic x86_64
>  NonfreeKernelModules: nvidia
>  Architecture: amd64
>  Date: Mon Apr 12 23:48:02 2010
>  DkmsStatus:
>   nvidia-current, 195.36.15, 2.6.32-19-generic, x86_64: installed
>  EcryptfsInUse: Yes
>  GdmLog1:
>
>  MachineType: LENOVO 4313CTO
>  ProcCmdLine: BOOT_IMAGE=/bhostnamet/vmlinuz-2.6.32-19-generic rhostnamet=UUID=0b95b314-337f-49aa-86f9-6423e76e9f20 ro
>  ProcEnviron:
>   LANG=en_CA.utf8
>   SHELL=/bin/bash
>  SourcePackage: nvidia-graphics-drivers
>  XorgLogOld:
>
>  dmi.bios.date: 02/22/2010
>  dmi.bios.vendor: LENOVO
>  dmi.bios.version: 6MET49WW (1 tp-smapi, 0.40, 2.6.32-19-generic, x86_64: installed
>   vboxnetadp, 3.1.6, 2.6.32-19-generic, x86_64: installed
>   vboxnetflt, 3.1.6, 2.6.32-19-generic, x86_64: installed
>   vboxdrv, 3.1.6, 2.6.32-19-generic, x86_64:...

Read more...

Tom Gelinas (tomgelinas) wrote :

Brendan Donegan of Canonical responded to the request I made to the Ubuntu Hardware Certification Programme, acknowledged the problem and said a T510 would be tested. At the very least, the problem will be noted. Considering I don't pay for support, that's a pretty good response!

Martin Spacek (mspacek) wrote :

Unsurprisingly, this problem remains in the latest ubuntu-x-swat nvidia driver, 280.13. There seems to be some kind of a fairly recent problem with nvidia backlight controls in the mactel community, with a few bugs filed (like #764195).

A comment mentioned some success adding the mactel PPA (ppa:mactel-support/ppa) and installing nvidia-bl-dkms:

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/764195/comments/11

 Thought it might be worth a shot, so I tried this on my Thinkpad W510 with Quadro FX 880M (based on GT 330M apparently), but backlight behaviour didn't change with the nvidia blob, even after reboot.

Tom Gelinas (tomgelinas) wrote :

The nvidiabl driver now detects ThinkPad T510s with model 4313CTO. This will not allow gnome-power-manager to control the backlight, but at least the keys will work....sort of. With autodetected values, brightness can be turned down all the way, but can only be set to a proper maximum by switching to a VT and turning the brightness down a notch. If anyone would like to play around with backlight values, the instructions below will get them set up. nvidiabl's source can be modified to work with other ThinkPad models as well.

ACPI backlight control must be set to vendor, the thinkpad_acpi module's brightness controls must be disabled and the brightness keys must be bound using acpi events.

ACPI backlight controls can be set to vendor by setting 'GRUB_CMDLINE_LINUX_DEFAULT="acpi_backlight=vendor"' in /etc/default/grub and then running update-grub.

thinkpad_acpi's brightness controls can be disabled by creating /etc/modprobe.d/thinkpad_acpi.conf and adding the line "options thinkpad_acpi brightness_enable=0".

nvidiabl source can be obtained from https://github.com/guillaumezin/nvidiabl , then installed by dkms. The scripts "nvidia_backlight_down.sh" and "nvidia_backlight_up.sh" should be copied from the scripts folder to /etc/acpi.

Then the brightness keys can be bound to those scripts by creating/filling the following files:

/etc/acpi/events/lenovo-4313cto-brightness-down
event=video LCD0 00000087 00000000
action=/etc/acpi/nvidia_backlight_down.sh

/etc/acpi/events/lenovo-4313cto-brightness-up
event=video LCD0 00000086 00000000
action=/etc/acpi/nvidia_backlight_up.sh

ACPI events were determined using acpi_listen.

Alternately, there are .deb packages that install nvidiabl via dkms available from https://github.com/guillaumezin/nvidiabl/downloads . Currently only 4313CTO models have backlight support by default, but it's only a matter of adding PCI IDs and some basic detection stuff. That stuff can be passed when the module is loaded, check the docs for details.

Tom Gelinas (tomgelinas) wrote :

I market this bug as affecting the Ubuntu-Certification, referencing the "Certified" status of the Lenovo ThinkPad T510 whose backlight does not properly function. https://answers.launchpad.net/ubuntu-certification/+question/163597

Karel Kozlik (karel.kozlik) wrote :

I can confirm that this problem does not occur on thinkpad only, but also on Fujitsu-Siemens E8420

Jarmo Isotalo (jsi1992) wrote :

Yes, I have also this issue on Fujitsu E8420 BUT I have managed to get it working and wanted to publish my solution here.
Im running ubuntu 11.10 and I have installed that additional driver #2, NVIDIA accelerated graphics driver (post-release updates) (version 173-updates)

So This is what I did to get screen brightness buttons working:

I run "sudo nvidia-xconfig " to generate good xorg.conf file.
then I added this following line to there under device
"Option "RegistryDwords" "EnableBrightnessControl=1""
like this:

Section "Device"
    Identifier "Device0"
    Driver "nvidia"
    VendorName "NVIDIA Corporation"
    Option "RegistryDwords" "EnableBrightnessControl=1"
EndSection

And I hava my xorg.conf as an attachment:

Scott Lanham (scott-mail) wrote :

I have an Asus G55VW and backlight hotkeys do not work and neither does trying to directly manipulate /sys/class/backlight ... I have tried adding "Option "RegistryDwords" "EnableBrightnessControl=1"" and changing the kernel boot params but with no success.

Martin Spacek (mspacek) wrote :

The latest certified nvidia blob (304.60) mentions this:

"Added support for the "Backlight" RandR output property for configuring the brightness of some notebook internal panels."

http://www.nvidia.com/object/linux-display-amd64-304.60-driver.html

Could it be this is finally the fix we've been waiting for? Anyone tried this latest version yet? I just installed Xubuntu 12.10 and with nvidia 304.51 I still need to add "EnableBrightnessControl=1" to xorg.conf, and the brightness increments on my Thinkpad W510 are large and uneven, as always.

Tom Gelinas (tomgelinas) wrote :

Not to say that /etc/X11/xorg.conf has been deprecated, but: The X11 "Quirks" files are a quick way to fix backlight control issues. I have smashed/replaced my LCD panel since reporting this bug, and no longer hear a buzzing noise when changing brightness while forcing the proprietary NVIDIA driver to control brightness.

For X11 quirk-related documentation, please read /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad , and also https://wiki.ubuntu.com/X/Quirks .

You can make a new quirk file that applies to your laptop. This sucks, but anyone can submit a patch. (Bad answer). Good luck!

Tom Gelinas (tomgelinas) wrote :

Also, Martin: Brightness increments are still uneven for me. I'm terrified of hitting brightness up/down hotkeys too quickly, because I get a frozen display. No kernel panic though, I'll see if I can acess my laptop through SSH next time this happens. So anoying, no satisfaction!

When certifying systems with Ubuntu, we only test with the open-source graphics drivers installed by Ubuntu. If these do not work properly then we will try with the proprietary drivers. So this particular system has never been tested by us with the proprietary drivers, and it is correct to refer to it as being certified since it apparently works fine with the open-source ones. Is there a particular reason why the proprietary NVIDIA driver is desirable over nouveau for this system?

Changed in ubuntu-certification:
status: New → Incomplete
Tom Gelinas (tomgelinas) wrote :

I've removed all my X11 quirks and tested 304.60, the backlight controls seem to work. They're still really buggy, but no effort is needed to get them working. Packages meant for Ubuntu 12.04 arr available here: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates?field.series_filter=precise . Please let me know if I was sloppy in testing this, but I think it's fixed.

Brendan Donegan: There are no show-stopping bugs with the open-source drivers, but there are some features that are unsupported, such as HDMI audio support, clocking adjustments, VDPAU support. Those last 2 have a significant impact on battery life, but the machine's still usable. The T510's certification makes sense to me, thanks for responding!

Changed in ubuntu-certification:
status: Incomplete → Invalid
Martin Spacek (mspacek) wrote :

I just tried installing 304.60 from https://launchpad.net/~noobslab/+archive/nvidia-quantal on my fresh install of Xubuntu 12.10 amd64 with no xorg.conf. Brightness controls did *not* work, as usual, so I'd say it isn't fixed.

Note that the packages at that PPA are labelled as "304.60-0ubuntu1~precise~xup2", so maybe they're not ideal for quantal, but they do seem to work. I couldn't find any other PPA with quantal packages for 304.60. At least not yet.

Martin Spacek (mspacek) wrote :

Xubuntu 12.10 updated to nvidia 304.88 a day or so ago, and now brightness controls are even more uneven than before. I've tried regenerating xorg.conf using nvidia-settings, and re-adding [Option "RegistryDwords" "EnableBrightnessControl=1"] to the Device section, but that hasn't helped. I also tried nvidia 313.30 from xorg-edgers, but brightness controls seemed to be just as uneven.

3 years and this still hasn't been fixed. I'm waiting hopefully for nouveau to finally implement proper power management implemented, so I can ditch this nvidia crap for good. Linus perfectly expressed my frustration with this company with his simple gesture:

http://www.youtube.com/watch?v=YxHqi8tx048

Dana Goyette (danagoyette) wrote :

On my workplace Thinkpad W530 (Quadro K1000M in discrete-only mode), "EnableBrightnessControl=1" does in fact expose a working "Backlight" property via xrandr.
Unfortunately, Gnome is looking for a property called "BACKLIGHT", and falls back to /sys/class/backlight when it's not found.
See https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/947919

I've also managed to get the nvidiabl module to work, by setting the 'type' and 'max' parameters.

Gnome prefers backlights of type "platform" over type "raw". The non-working thinkpad_screen is type "platform", and nvidia_backlight defaults to "raw". Setting nvidia_backlight to "platform" fixes this.

My approach for figuring out the proper value of 'max':

1. Start with EnableBrightnessControl=1 set.

2. Load nvidiabl with some value (such as 0x1000) for 'max'. (If your backlight turns entirely off, doing step 3 should turn it back on.)
    modprobe nvidiabl max=<number>

3. Use xbacklight to change brightness to some lower value, then back to 100. (If you just try to reapply 100, it won't work.)
    xbacklight -set 50; xbacklight -set 100

4. Check what the reported 'actual_brightness' and 'brightness' values are.
    grep . /sys/class/backlight/nvidia_backlight/*brightness

5. If brightness and actual_brightness both equal the max_brightness value, you've found a 'max' that works.
    If actual_brightness and brightness are below max_brightness, the guess for 'max' was too high.
    If they're above max_brightness, the guess for 'max' was too low.

6. As a final sanity check, I verified that the brightness slider in gnome works smoothly (that is, brightness changes occur over the whole range).

7. Save that max in a module config file; I tend to put all my personal options in /etc/modprobe.d/custom.conf
    options nvidiabl type=platform max=<value you found>

Now I just need to remove "EnableBrightnessControl", since as it is now, the nvidia driver reverts to the xbacklight value (100) whenever I click a link in an e-mail.

Martin Spacek (mspacek) wrote :

I just tried messing with nvidiabl for my Thinkpad W510, without success. I've opened a bug report here:

https://github.com/guillaumezin/nvidiabl/issues/89

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions